Name:           susepaste
Version:        0.5
Release:        %mkrel 5
Summary:        Simple script for using openSUSE paste easily
License:        GPLv3+
Group:          Text tools
URL:            http://susepaste.org
Source0:        %{name}-script-%{version}.tar.bz2

BuildArch:      noarch

Requires:       curl

%description
Simple script for using openSUSE paste easily.
You can paste either the file or input from stdin.

http://susepaste.org


%package screenshot
Summary:        Simple script for pasting screenshots easily
Group:          Graphics/Utilities

BuildArch:      noarch

Requires:       wmctrl
Requires:       imagemagick
Requires:       curl

Suggests:       xclip

%description screenshot
Simple script for using openSUSE paste easily.
You can paste screenshot of the window or whole desktop.

http://susepaste.org


%prep
%setup -q -n %{name}-script-%{version}

%build
#nothing to do

%install
install -D -m 0755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m 0755 %{name}-screenshot %{buildroot}%{_bindir}/%{name}-screenshot
install -D -m 0644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
install -D -m 0644 %{name}-screenshot.1 %{buildroot}%{_mandir}/man1/%{name}-screenshot.1
install -D -m 0644 lang-mappings.sed %{buildroot}%{_datadir}/%{name}/lang-mappings.sed

%files
%{_bindir}/%{name}
%{_datadir}/%{name}/lang-mappings.sed
%{_mandir}/man1/%{name}.*

%files screenshot
%{_bindir}/%{name}-screenshot
%{_mandir}/man1/%{name}-screenshot.*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.5-5.mga4
+ Revision: 519422
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.5-4.mga3
+ Revision: 383810
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Sun Dec 02 2012 kamil <kamil> 0.5-3.mga3
+ Revision: 324794
- update Group: Graphics/Other
- rebuild for Mga3 Beta1

* Tue Dec 06 2011 kamil <kamil> 0.5-2.mga2
+ Revision: 177855
- package adopted for Mageia
- imported package susepaste


* Thu Apr 21 2011 mhrusecky@suse.cz
- updated to version 0.5
  - support for pasting with key
  - fixed infinite loop on syntax error
* Mon Jan  3 2011 mhrusecky@suse.cz
- updated to version 0.4.1
  - fixed screenshot pasting script to cleanup temporaly files
* Sat Jan  1 2011 mhrusecky@suse.cz
- updated to version 0.4
  - adding screenshot pasting script
* Mon Dec  6 2010 mhrusecky@suse.cz
- updated to version 0.3
  - support for commandline option
  - support for pasting images
  - automatic recognition of several file types
* Mon Aug 30 2010 mhrusecky@suse.cz
- adding http://paste.opensuse.org as another output
- adding man page
* Fri Jul 30 2010 mhrusecky@suse.cz
- packaged first version of the script
